#ifndef ARTICLE_WIDGET_H
#define ARTICLE_WIDGET_H

#include <Wt/Dbo/backend/Sqlite3> //Sqlite3
#include <Wt/Dbo/Session> //Session
#include <Wt/WContainerWidget> //WContainerWidget

namespace dbo=Wt::Dbo; //dbo命名空间别名。
using namespace Wt; //WContainerWidget

#include "SbDbItem.h" //SbDbItem

/*!
 * \brief The ArticleDigestWidget class Represents an article digest.
 */
class ArticleWidget : public WContainerWidget
{
public:
    void setArticleId(int atclId); //!<设置文章的编号。
    ArticleWidget(); //!<Constructor.

private:
    void requestMathJaxProcess(); //!<请求MathJax做处理。
    WLabel * readTimesLabel; //!<阅读次数标签。
    void setupUi(); //!<建立界面。
    WPushButton * editButton; //!<编辑按钮。
    WText * atclCnttWdgt; //!<文章内容部件。
}; //class ArticleDigestWidget : public WContainerWidget

#endif // FINANCEFLOWLISTWIDGET_H
