#ifndef ARTICLE_LIST_TAB_WIDGET_H
#define ARTICLE_LIST_TAB_WIDGET_H

#include <Wt/WContainerWidget> //WContainerWidget

using namespace Wt; //使用Wt命名空间。

#include "ArticleListWidget.h" //ArticleListWidget

/*!
 * \brief The FileManageTabWidget class 财务管理页面。
 */
class ArticleListTabWidget : public WContainerWidget
{
public:
    ArticleListTabWidget(); //!<构造函数。
    ~ArticleListTabWidget(); //!<Destructor.

private:
    ArticleListWidget * StorLstWdgt; //!<财务资金流水列表部件。
    WStackedWidget * RtStk; //!<右侧用于显示子页面的栈式部件。
}; //class StoreManageTabWidget : public WContainerWidget

#endif // FILEMANAGETABWIDGET_H
