#ifndef SBLOG_H
#define SBLOG_H

#include "SBlogPreCompile.h" //Postgres

#include "ArticleListTabWidget.h" //ArticleListTabWidget
#include "ArticleWidget.h" //ArticleWidget

using namespace Wt; //使用Wt命名空间。

/*!
  *@brief 这表示整个网站程序。
  */
class SBlog : public WContainerWidget
{
public:
    SBlog(WContainerWidget *Parent); //!<构造函数，指定亲代部件。
    ~SBlog(); //!<析构函数。

private:
    void gotoSingleArticlePage(vector<string> pthCmpnts); //!<切换到单个文章页面。
    vector<string> split(string& str,const char* c); //!<分割字符串。
    void addTabs(); //!<加入各个标签。
    ArticleWidget * readingTab; //!<正在阅读标签页。
    void routeDispatch(string nwItnlPth); //!<内部路径发生变化，则进行路由分发。
    void connectSignals(); //!<连接信号槽。
    void setupUi(); //!<setup the ui.
    ArticleListTabWidget * articleListTabWidget; //!<文章列表标签页。
    WTabWidget * Tabs; //!<用来管理那些标签页的标签页部件。
}; //class GenieProWeb : public WTabWidget

#endif // GENIEPROWEB_H

